Mit tartalmaz ez az oldal?
Minden kategória a CH-J Tools kulcsgenerátorával létrehozott teljes OpenPGP-identitás: 6 verziójú kulcsok (RFC 9580) klasszikus és posztkvantum algoritmusokkal (RFC 9980), LibrePGP 5 verziójú kulcsok, a kompatibilitást szolgáló 4 verziójú kulcsok régi RSA-kulcsméretekkel is, valamint kizárólag történelmi célból megőrzött 3 és 2 verziójú RSA-kulcsok. A 4 verziótól kezdve a kulcsok egy elsődleges aláírókulcsot és egy titkosítási alkulcsot tartalmaznak; a 3 és 2 verziójú kulcsoknak nincs alkulcsuk. A fájlokkal saját OpenPGP-szoftverében tesztelheti az importálást, az aláírás-ellenőrzést, a titkosítást és a visszavonások kezelését.
Kizárólag tesztkulcsok
Ezek mesterséges kulcsok. A privát kulcsokat és a jelmondatot szándékosan közzétesszük, így bárki aláírhat vagy visszafejthet velük. Soha ne használja őket valódi adatokhoz, és ne tekintsen megbízhatónak egy aláírást pusztán azért, mert e kulcsok valamelyikével sikeresen ellenőrizhető.
Miért utasítanak el egyes programok bizonyos kulcsokat?
Az OpenPGP-verziók és algoritmusok támogatása eltérő. A GnuPG 2.4 beolvassa a 4 és 5 verziójú kulcsokat, de a 6 verziót és az RFC 9980 posztkvantum algoritmusait nem; a Sequoia beolvassa a 4 és 6 verziót, de a LibrePGP 5 verziót, a secp256k1 görbét és a 2048 bit alatti RSA-kulcsokat nem. A 3 és 2 verziójú kulcsok MD5 és IDEA algoritmust használnak; csak a GnuPG 1.4 olvassa őket a gyenge kivonatok kifejezett engedélyezésével, illetve a korabeli PGP. Minden kategória megadja a specifikációt és az algoritmusokat, így egy elutasított kulcs rendszerint hiányzó funkcióra utal, nem sérült fájlra.
Tesztfájl
Mind a 44 aláírás ehhez az egyetlen, véletlen adatokat tartalmazó 1 MB méretű fájlhoz tartozik. Töltse le egyszer, és bármely aláírás ellenőrzése előtt hasonlítsa össze az SHA-256 ellenőrzőösszegét.
Letöltés test_1MB.bin 1 048 576 bájt
SHA-256 10055956fa0fdd963344a0d80a3b9ccf3ed1d331569a23d8223bbf2e460ae972 test_1MB.binKategóriák
6 verzió · posztkvantum (RFC 9580 + RFC 9980)
- Példa 01 · V6 · ML-DSA-65 + Ed25519 + ML-KEM-768 + X25519
6D1542425AAE85E73F4E822AB59161D7683F784AA9E6EA0989D4A2F3990784A9 - Példa 02 · V6 · ML-DSA-65 + Ed25519 + ML-KEM-1024 + X448
8EBE172E2DFBFE865998720DE87F5B89DCB159C0A7633408BD499430E978CF64 - Példa 03 · V6 · ML-DSA-65 + Ed25519 + X25519
B897D5581D30EFA173DF41864B89D9CDFE42E0CC5CE691062CAAB976AF6CE14F - Példa 04 · V6 · ML-DSA-87 + Ed448 + ML-KEM-768 + X25519
AB7B7503F25E03291AB966E54FE19B7CB7D308D2C72B3A552FBB0AA2F4ED6E71 - Példa 05 · V6 · ML-DSA-87 + Ed448 + ML-KEM-1024 + X448
D0E8F3DD2171441CB0DFA79B345D7B233675AEE24D51EC915FD1AC80D2B422B2 - Példa 06 · V6 · ML-DSA-87 + Ed448 + X25519
1CEDB14AECBF0B9C692EFD61EF9F659E45F33BC32F7BC12499695E5981EE1085 - Példa 07 · V6 · SLH-DSA-SHAKE-128s + ML-KEM-768 + X25519
87967E66DEE644D4A10BC605532FDAB16D5AEDD154914B4D0D527C7502AD25A4 - Példa 08 · V6 · SLH-DSA-SHAKE-128s + ML-KEM-1024 + X448
C6EADE9B56677421B1A82D2502FFECB4FDCA6A9E2D3679230877E32B28765367 - Példa 09 · V6 · SLH-DSA-SHAKE-128s + X25519
7B69578CBDA586EF7DCC97A7AFCF74D3F1424515E95D8BB9362890E11B43125F - Példa 10 · V6 · SLH-DSA-SHAKE-128f + ML-KEM-768 + X25519
D6762F3EA60F9ECADC1D6BEC3E804AAEAC769E631D2643C282210442390D4A8D - Példa 11 · V6 · SLH-DSA-SHAKE-128f + ML-KEM-1024 + X448
E9736EAB77C018F653C4A3C355DD7681EE106E9C4286ACBB4A5A5C10D3BFEDAD - Példa 12 · V6 · SLH-DSA-SHAKE-128f + X25519
65E7062F811B6F5E855ECCE02995F5EDF059D4DE606069643F43CBA218E6B30C - Példa 13 · V6 · SLH-DSA-SHAKE-256s + ML-KEM-768 + X25519
11364C88A86FB2AB86F0907C9A6C7159743D50FB9A498C3590A2990146AE774F - Példa 14 · V6 · SLH-DSA-SHAKE-256s + ML-KEM-1024 + X448
67AE7DFC14C745CC69D32A4A85AB4CAB581AC4B91D75A0B011BE0F35C0DC2B0B - Példa 15 · V6 · SLH-DSA-SHAKE-256s + X25519
1EDBEC92CE9F79486AFA2AC5DE524AF2FE0F6197DC74753D1FDB3C0F1F434DDE - Példa 17 · V6 · Ed25519 + ML-KEM-768 + X25519
F3120E488D7CC03B254DA78B22C1976B6EFB1F7DBD250DB06D70E04D944916A5 - Példa 35 · V6 · Ed448 + ML-KEM-1024 + X448
87843F5A4D90C63017687E108CFF638F61AF0858B4206BEC4C91B39D68F5B120
6 verzió · klasszikus algoritmusok (RFC 9580)
- Példa 16 · V6 · Ed25519 + X25519
A21B6349C6B29A02A3E83BF225A7F376F4613A1A50BF78E8998F53F23E8A53D0 - Példa 18 · V6 · RSA 4096 + RSA 4096
F5B7FC86AEDC448F5F7FCA1FA1E4FE614A6CD148CA20DC271994BFED8E4271F7 - Példa 31 · V6 · ECDSA NIST P-256 + ECDH NIST P-256
5C1B4D9DBDE53BFF511739248E4600B0C66DE6E7C9F2ED049B357D001F208E00 - Példa 32 · V6 · ECDSA NIST P-384 + ECDH NIST P-384
A5E87386A630437C1D5A0AD51CF0CA49D961FCDA2CDE21EB8421DB2CDB9176DD - Példa 33 · V6 · ECDSA NIST P-521 + ECDH NIST P-521
927BE37F241D171D3D64875E657D20E168752343EEA3327EC2520690A6A54B1C - Példa 34 · V6 · Ed448 + X448
50F23A0FE2C7705D8053185A9988170828B5E4BC8FFE8ADA58402CD7D8362FAE - Példa 38 · V6 · RSA 1024 + RSA 1024 (legacy)
9FF1150D56BD743C40D736E3FE6394FBA500847C6D9CB5C38CA2E3BFEF2568E3 - Példa 39 · V6 · RSA 2048 + RSA 2048 (legacy)
3906AC13BBD5B8A132E5C6641DE0E91470385FD51AF9570013EF412164FDB5AB
5 verzió · LibrePGP (draft-koch-librepgp-06)
- Példa 26 · V5 · ECDSA NIST P-256 + ECDH NIST P-256
26D25AD540E879D954BCCE24222A10AB844C3C53A49B5C673CA25308D40422DB - Példa 27 · V5 · ECDSA NIST P-384 + ECDH NIST P-384
E32A39BF238730F434A689232520B98BB97E306D22F14396A19D829E9FEA9952 - Példa 28 · V5 · ECDSA NIST P-521 + ECDH NIST P-521
91AE0AD012D645835A9FC1F0677A069002561DE910673D3EFC707B568F0D11BC - Példa 29 · V5 · ECDSA secp256k1 + ECDH NIST P-256
0530EB20EA9EB87DE933D00F2414ADE2B910C90666AC2CB86B896BD7F1440639 - Példa 30 · V5 · RSA 2048 + RSA 2048 (legacy)
ADCBBE510FB67FF11ACDE0868747AF7FC2E41D95B34EE785E108217B062BAA15 - Példa 37 · V5 · RSA 1024 + RSA 1024 (legacy)
0B624E1A4B147D973D59AFFFAE7584C6E7D4123272FAA49ED2E276C125DD779B
4 verzió · kompatibilitás (RFC 2440 · RFC 4880 · RFC 9580)
- Példa 19 · V4 · EdDSALegacy (Ed25519) + ML-KEM-768 + X25519
AC584FBB4E4BFB3F3117517C19FEE3A61E33390F - Példa 20 · V4 · EdDSALegacy (Ed25519) + ECDH Curve25519Legacy
3B0E8B81143420937B4271BE2736B97A8A635CE3 - Példa 21 · V4 · ECDSA NIST P-256 + ECDH NIST P-256
9035B23C46C6563DF82B9E4AFD8B9262EA769B30 - Példa 22 · V4 · ECDSA NIST P-384 + ECDH NIST P-384
BA4E573B5A95992A08B884B8AB586F5CAA5B7A91 - Példa 23 · V4 · ECDSA NIST P-521 + ECDH NIST P-521
388CB0449DA27910B500892F28877C8D10C07DAD - Példa 24 · V4 · ECDSA secp256k1 + ECDH NIST P-256
E060726BC7DBB56FDF7753749EF00F97D46EF942 - Példa 25 · V4 · RSA 2048 + RSA 2048 (legacy)
BFA8F784CFEE268FEF49639E2D5D64A3BCFDDC23 - Példa 36 · V4 · RSA 1024 + RSA 1024 (legacy)
B75872FDF13E32C2535597D6CF6C25ABA3D18793 - Példa 40 · V4 · Ed448 + X448
7AF21F1EE4385D42FE2ED44CDF867036C59D7117
3 verzió · legacy (RFC 1991 · RFC 2440 · RFC 4880)
- Példa 41 · V3 · RSA 1024 (legacy)
8C82CFA8E8957EA451848A6948E37C72 - Példa 42 · V3 · RSA 2048 (legacy)
EA8BD9DA685265394EC511D107B09C8A
2 verzió · legacy (RFC 1991 · RFC 2440)
- Példa 43 · V2 · RSA 1024 (legacy)
6BC0D98BBD116770A8490E45FD1AC24C - Példa 44 · V2 · RSA 2048 (legacy)
55AC229DCC134C267809F0D9D6FCE76F